include("shared.lua");
-- Inventory Icon
if(file.Exists("../materials/weapons/staff_inventory.vmt")) then
	SWEP.WepSelectIcon = surface.GetTextureID("weapons/staff_inventory");
end
-- Kill Icon
if(file.Exists("../materials/weapons/staff_killicon.vmt")) then
	killicon.Add("weapon_staff","weapons/staff_killicon",Color(255,255,255));
	killicon.Add("staff_pulse","weapons/staff_killicon",Color(255,255,255));
end
language.Add("CombineCannon_ammo","Liquid Naquadah");
language.Add("weapon_staff","Staff Weapon");

--################### Positions the viewmodel correctly @aVoN
function SWEP:GetViewModelPosition(p,a)
	p = p - 70*a:Up() - 13*a:Forward() + 2*a:Right();
	a:RotateAroundAxis(a:Right(),5);
	a:RotateAroundAxis(a:Up(),5);
	return p,a;
end
